Banktivity 6 is not supported on macOS Catalina

We are aware of Banktivity 6 crashing with macOS Catalina when attempting to access accounts. Unfortunately, Banktivity 6 is not supported with macOS Catalina. The highest OS supported with Banktivity 6 is macOS 10.14, Mojave. Banktivity 6 will continue to be supported if used with macOS 10.14, 10.13 or 10.12 (Mojave, High Sierra or Sierra). But when upgrading to macOS Catalina, we recommend upgrading to Banktivity 7 also.

We have Support Articles on our website that explain how to upgrade to Banktivity 7 at the discounted price of $34.99 (normally $69.99) and how to import your existing Banktivity data into Banktivity 7 with detailed steps. Here are the links:

Upgrade to Banktivity 7 at the discounted upgrade price of $34.99

Import older Banktivity data into Banktivity 7

Our policy is to actively develop only the most recent major version of Banktivity (as is standard practice in the software industry). With each macOS upgrade that Apple releases, we have to make changes in our code as well. It’s simply not feasible for us to make changes in all previous versions to make them backwards compatible and then do testing on all versions to make certain the latest OS hasn’t introduced any bugs.

We offer all of our users discounts when upgrading from one major release to the next and we do not charge for software updates. Additionally, we do not remove any features or functionality from previous versions. That said, we support the current of Banktivity with the current version of macOS, in this case Banktivity 7 with macOS Catalina. But using a previous version of Banktivity (or iBank) with a new version of macOS would not be supported.